CREATE TABLE ffs_bundling_rule_key (
    RULE_ID              NUMBER(10, 0),
    FIELD                VARCHAR2(512),
    PROPERTY_ID          NUMBER(5, 0) ,
    CONDITION            VARCHAR2(512)    NOT NULL,
    MAX_LENGTH           NUMBER(10, 0),
    OPTIONS              NUMBER(10, 0),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    RULE_ID              NUMBER(10, 0),
    FIELD                VARCHAR2(512),
    PROPERTY_ID          NUMBER(5, 0) ,
    CONDITION            VARCHAR2(512)    NOT NULL,
    MAX_LENGTH           NUMBER(10, 0),
    OPTIONS              NUMBER(10, 0),
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_ffs_bundling_rule_key PRIMARY KEY (RULE_ID, FIELD, PROPERTY_ID, RULE_ID, FIELD, PROPERTY_ID)
);
